<?php
/*
Plugin Name: دنبالر من !
Version: 1.0
Description: ابزارک نمایش پروفایل و آمار و آخرین تغییرات دنبالر شما در وردپرس
Author: نوید شایسته
Author URI: http://20script.ir
Plugin URI: http://20script.ir
Wp-Donbaler
*/

function donbaler_inicio(){
    // Valido la versión de WP
    $wp_Donbaler_plugin_url = trailingslashit( WP_PLUGIN_URL.'/'.dirname( plugin_basename(__FILE__)));
    $wp_Donbaler_plugin_lang = basename(dirname(__FILE__)) . '/lang';
    $wp_Donbaler_scripts = array();
	
 // Leer archivo de Internacionalización
    load_plugin_textdomain( 'Donbaler', null, $wp_Donbaler_plugin_lang);
    // Leer archivo Css
    if (!is_admin()) {
        wp_register_style( 'Donbaler_style', $wp_Donbaler_plugin_url.'donbaler-style.css' ,array('Donbaler_style'));
    }
    // Leer archivs Script
    if (!is_admin()) {
		
	    wp_register_script('jquery-1.4.4',$wp_Donbaler_plugin_url.'jquery-1.4.4.min.js','1.4.4');
        array_push($wp_Donbaler_scripts,'jquery-1.4.4');
        wp_register_script( 'Donbaler-get', $wp_Donbaler_plugin_url.'donbaler.js',$wp_Donbaler_scripts,'1.0.0');
        wp_enqueue_script('Donbaler-get');
        $datos_script = array( 'plugin_url' => $wp_Donbaler_plugin_url, 'lenguaje' => $locale );
        wp_localize_script( 'Donbaler-get', 'Donbaler_get', $datos_script );
  }
}


class WP_donbaler extends WP_Widget {
    /** constructor */
    function WP_donbaler() {
    parent::WP_Widget(false, $name = 'دنبالر من');
	}

function widget($args, $instance) {
        extract( $args );
        $username = apply_filters('widget_username', $instance['username']);
        $tedad = apply_filters('widget_tedad', $instance['tedad']);



      echo $before_widget;
        
		//if ( $username ) echo $before_title . $title . $after_title;


		include('donbaler.php');

		echo $after_widget;
}
 
/** @see WP_Widget::update */
function update($new_instance, $old_instance) {
$instance = $old_instance;
$instance['username'] = strip_tags($new_instance['username']);
$instance['tedad'] = strip_tags($new_instance['tedad']);\

return $instance;
}
	
/** @see WP_Widget::form */
function form($instance) {
$username = esc_attr($instance['username']);
$tedad = esc_attr($instance['tedad']);

$salida='<p>';
$salida.='<label for="'.$this->get_field_id('username').'">'._e('نام کاربری دنبالر : (مثال : navid )','Donbaler').'</label>';
$salida.='<input class="widefat" id="'.$this->get_field_id('username').'" name="'.$this->get_field_name('username').'" type="text" value="'.$username.'" />';
$salida.='</p>';
echo $salida;
$salida='<p>';
$salida.='<label for="'.$this->get_field_id('tedad').'">'._e('چند پست نمایش داده شود ؟ ( مثال : 5 )','Donbaler').'</label>';
$salida.='<input class="widefat" id="'.$this->get_field_id('tedad').'" name="'.$this->get_field_name('tedad').'" type="text" value="'.$tedad.'" />';
$salida.='</p>';
echo $salida;
$salida='<p>';

/*
$salida='<p>';
$salida.='<label for="'.$this->get_field_id('pagina').'">'._e('Query\'s Page:','Donbaler').'</label>';
$salida.='<input class="widefat" id="'.$this->get_field_id('pagina').'" name="'.$this->get_field_name('pagina').'" type="text" value="'.$pagina.'" />';
$salida.='</p>';
*/

}
 }


// Inicializo el plugin
add_action('init', 'donbaler_inicio');

add_action('widgets_init', create_function('', 'return register_widget("WP_donbaler");'));

?>
